# enumeration_wrapper

## namespace paddle::enumeration_wrapper

namespace `paddle::``enumeration_wrapper`

  Enums

  enum `PassType`

    Values:

    `PASS_TRAIN`
    `PASS_TEST`
    `PASS_GC`
    `PASS_METRIC`
    `PASS_METRIC_TRAIN`
    `PASS_METRIC_TRAIN_WITH_NOERROR`
  enum `ParameterType`

    Values:

    `PARAMETER_VALUE` = 0
    `PARAMETER_GRADIENT`
    `PARAMETER_MOMENTUM`
    `PARAMETER_SUM1`
    `PARAMETER_SUM2`
    `PARAMETER_SUM3`
    `PARAMETER_LEARNING_RATE`
    `PARAMETER_UPDATE_TIME`
    `PARAMETER_DELTA`
    `PARAMETER_GRADIENT_SUM`
    `PARAMETER_GRADIENT_SQURESUM`
    `PARAMETER_GRADIENT_SQURESUM1`
    `PARAMETER_ROWS`
    `PARAMETER_COLS`
    `PARAMETER_SECOND_MOMENTUM`
    `PARAMETER_WEIGHTED_INFINITY_NORM`
    `PARAMETER_APPLY`
    `PARAMETER_MOMENTUM_UT`
    `PARAMETER_MOMENTUM_VT`
    `NUM_PARAMETER_TYPES`